Lexmark Printer Multiple Vulnerabilities (TE920)

Technical Details

Severity Level:

High Severity

CVSS Score:

10.0

CVSS Base Vector:
AV:N/AC:L/Au:N/C:C/I:C/A:C

Detection Type:
Remote Banner

Solution Type:
Vendor Patch

Summary:
Multiple vulnerabilities have been identified in some Lexmark devices that would allow an attacker to execute arbitrary code on the device.

Detection Method:
Checks if a vulnerable firmware version is present on the target host.

Technical Details:
Two buffer overflow vulnerabilities and an integer overflow vulnerability have been identified in the embedded web server of some Lexmark devices that allow an attacker to execute arbitrary code on the device.

Impact:
Successful exploitation of this vulnerability can lead to remote code execution on the affected device.

Recommendations:
See the referenced vendor advisory for a solution.

Family:

General

Creation Time:

2019-09-09 06:24:09

Modification Time:

2019-09-09 07:08:33

Find and Fix this Vulnerability:

Mageni can help you to find out if you have this or more vulnerabilities exposing you to hackers, ransomware and malware: Download Mageni's Free Edition

NVD CVE ID:
CVE-2019-9930
CVE-2019-9932
CVE-2019-9933

Don't pay for a vulnerability scanning and management platform. This one is free.

Mageni provides a free vulnerability scanning and management platform which helps you need to find, prioritize, remediate and manage your vulnerabilities.